<h1 class="m-3">Product</h1>
<form class="m-4" (ngSubmit)="onSubmit(heroForm)" #heroForm="ngForm" >

    <div class="form-group m-3">
      <label>Title</label>
      <input  class="form-control" required 
               [(ngModel)]="product.title" name="title" placeholder="title">
    </div>
    <div class="form-group m-3">
      <label>Description</label>
      <input  class="form-control" required 
               [(ngModel)]="product.description" name="description" placeholder="description">
    </div>
    <div class="form-group m-3">
        <label>Category </label>
        <mat-form-field appearance="standard" class="ms-4 w-25">
          <mat-select [(ngModel)]="product.categoryId" name="categoryId">
            <mat-option  *ngFor="let cat of categories"  class="form-control"  [value]="cat.id">
              {{cat.name}}
            </mat-option>
          </mat-select>
        </mat-form-field>
    </div>
    <div class="form-group m-3">
      <label>Price</label>
      <input  class="form-control"   required 
             [(ngModel)]="product.price" name="price" placeholder="price">
    </div>
    <div class="form-group m-3">
      <label>DietaryFlag</label>
      <mat-form-field appearance="standard" class="ms-4 w-25">
        <mat-select [(ngModel)]="product.dietaryFlagId" name="dietaryFlagId">
          <mat-option  *ngFor="let flag of DietaryFlags"  class="form-control"  [value]="flag.id">
            {{flag.name}}
          </mat-option>
        </mat-select>
      </mat-form-field>
    </div>

    <div class="form-group m-3">
        <label>Image</label>
        <input  class="form-control" type="file" name="file" [(ngModel)]="product.file" />
      </div>
   
    <button type="submit" class="btn btn-success m-2">submit</button>
    <button  class="btn btn-primary m-2" routerLink='/Product/List'
    routerLinkActive="router-link-active">Back</button>
  </form>


  
<!-- 
<div class="card m-5 d-flex justify-content-center aligin-items-center" style="width: 40rem; height: 30rem; ">
    <img class="card-img-top" src="C:/Users/Tatweer/Desktop/وسام.png" alt="Card image cap">
    <div class="card-body">
      <h5 class="card-title">Card title</h5>
      <p class="card-text">Some quick example text to build on the card title and make up the bulk of the card's content.</p>
      <a href="#" class="btn btn-primary">Go somewhere</a>
    </div>
  </div> -->